Skip to main content
GET
Show available balance for the member
Returns the balance of a member, and any withdrawal limits that apply to the member.

Current Balance

The available field represents the actual balance a member currently has for withdrawal.

Withdrawal Limits

The lowerLimit and upperLimit fields define the range of amounts that a member is allowed to withdraw:
  • Lower Limit (lowerLimit): The minimum amount a member can withdraw.
  • Upper Limit (upperLimit): The maximum amount a member can withdraw.
These limits do not directly factor into the balance but instead serve to restrict the amount a member can withdraw in a single transaction.

Computation of Withdrawable Amount

Given the available balance and the limits, the withdrawable amount can be computed as follows:
  • Minimum Withdrawable Amount: Is always the lowerLimit, as if the balance is less than the lower limit they cannot withdraw.
  • Maximum Withdrawable Amount: This is the smaller value between the available balance and the upper limit.

Temporarily Unavailable

In rare cases, On Demand Pay may be temporarily unavailable. To show this, we return temporarilyUnavailable: true in the balance response. If this happens, withdrawals will be temporarily unavailable and any calls to create withdrawal intent or complete withdrawal endpoints will be rejected.

Authorizations

x-api-key
string
header
required

Path Parameters

memberId
string
required

The unique identifier for a Member, prefixed with mem_

Example:

"mem_<id>"

Response

200 - application/json

200

available
AvailableBalance · object
required

The balance for the member

Example:
lowerLimit
LowerLimit · object
required

The lower limit, the member cannot withdraw below this amount

Example:
upperLimit
UpperLimit · object
required

The upper limit, the member cannot have more than this amount

Example:
payCycle
object
required
isTemporarilyUnavailable
boolean
required

If true, On Demand Pay withdrawals are temporarily unavailable and calls to confirmWithdrawal will be rejected